GET /tracks

soundcloud.com

Summary: Performs a track search based on a query
Operation ID:
Auth: unknown

Parameters (11)

access (array, query, optional, default: playable,preview)

Filters content by level of access the user (logged in or anonymous) has to the track. The result list will include only tracks with the specified access. Include all options if you'd like to see all possible tracks. See `Track#access` schema for more details.

bpm (object, query, optional)

Return tracks with a specified bpm[from], bpm[to]

created_at (object, query, optional)

(yyyy-mm-dd hh:mm:ss) return tracks created within the specified dates

duration (object, query, optional)

Return tracks within a specified duration range

genres (string, query, optional)

A comma separated list of genres

ids (string, query, optional)

A comma separated list of track ids to filter on

limit (integer, query, optional, default: 50)

Number of results to return in the collection.

Constraints: {'minimum': 1, 'maximum': 200}

linked_partitioning (boolean, query, optional)

Returns paginated collection of items (recommended, returning a list without pagination is deprecated and should not be used)

offset (integer, query, optional, default: 0)

Offset of first result. Deprecated, use `linked_partitioning` instead.

q (string, query, required)

search

tags (string, query, optional)

A comma separated list of tags

No probe data for this endpoint yet.